/*******************************************************************************
* File Name: KeyPad_1_KbdControl.c  
* Version 1.70
*
* Description:
*  This file contains API to enable firmware control of a Control Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "KeyPad_1_KbdControl.h"

#if !defined(KeyPad_1_KbdControl_Sync_ctrl_reg__REMOVED) /* Check for removal by optimization */

/*******************************************************************************
* Function Name: KeyPad_1_KbdControl_Write
********************************************************************************
*
* Summary:
*  Write a byte to the Control Register.
*
* Parameters:
*  control:  The value to be assigned to the Control Register.
*
* Return:
*  None.
*
*******************************************************************************/
void KeyPad_1_KbdControl_Write(uint8 control) 
{
    KeyPad_1_KbdControl_Control = control;
}


/*******************************************************************************
* Function Name: KeyPad_1_KbdControl_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Control Register.
*
* Parameters:
*  None.
*
* Return:
*  Returns the current value in the Control Register.
*
*******************************************************************************/
uint8 KeyPad_1_KbdControl_Read(void) 
{
    return KeyPad_1_KbdControl_Control;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
