/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
 #include <project.h>
#include <cytypes.h>
#include "definition.h"
//---------------------------------------------------------------------
// constant array declarations US GENERATOR
//---------------------------------------------------------------------
const char mask[]      =    "PROGR:0 PWR:000WHT:00~C TIME:00m" ;
const char name[]      =    "     MORONI        ULTRASUONI   " ;
const char model0[]    =    "     MODEL            MDVH      " ;
const char model1[]    =    "     MODEL            MDVM      " ;
const char model2[]    =    "     MODEL            MDVL      " ;
const char model3[]    =    "     MODEL           SONOX      " ;
const char degass[]    =    "    DEGASSING         WAIT      " ; 
const char tank_prot[] =    "      TANK         PROTECTION   " ;
const char gen_prot[]  =    "    GENERATOR      PROTECTION   " ;
const char ready[]     =    "\n\rREADY>";
const char error[]     =    "\n\rERROR!";

const int level_pwm[]     = { 1992,1992,1552,1424,1280,1152,1040,928,816,736,
				  640,576,528,480,448,416,392,384,376,368,
				  360,354,347,341,334,328,322,315,309,302,
				  296,292,288,284,280,276,272,268,264,260,
				  256 } ;   
stat_DEF stat ;
uint8 button ,debug ;
char strbuffer[NUM_CHAR];        // buffer di transizione rom to display
 char inpbuf[8];			// Input command buffer
 char outputf[8];			// Output USART buffer
 char ascii[7] ;                  // buffer for LCD values
 uint32 update_timerID_Main,update_timerID_Minutes,update_timerID_Keyboard ;
 uint8 segnum,					// Current executing segment
parameter,				// Index to profile data
i,					// index to ASCII buffer
comcount,				// index to input string									
udata,                                  // Received character from USART
step_Up,step_Down,                      // step key UP & DOWN values      
blank,                                  // registri a 1 byte   
j,
c_key,Prog_Func,
k,first0,channel,FreqL,
scan_calc,data,
w,scan_display,
ii,jj,c_buzzer,table_entry;

//extern unsigned char
//TEMPB1;

 double
Float_1stmulti,Float_2stmulti,
Float_product,Float_dividend,Float_divisor,
Float_quotient,Float_USScale,Float_InverseUSScale,
Float_Scale,Float_over,
view_100,view_200,view_300,view_400;

// DMA setting
/* Variable declarations for DMA_Current */
uint8 DMA_Current_Chan;
uint8 DMA_Current_TD[1];
/* Variable declarations for DMA_Therm */
uint8 DMA_Therm_Chan;
uint8 DMA_Therm_TD[1];
 
uint16 current[NUMBER_ACQ],therm[NUMBER_ACQ];

 int16 *usegm ;                                // pointer utag.xxx 	


 uint16 U_value,N_freq,N_freqMax,N_freqMin,
Norm_power,Norm_degres,Timer_degres,
m_power,m_current,m_volt,m_degres,over_power,show_power,
prot_current,m_timer,                                // Measured values
c_power,c_timer,c_freq,c_tank,
c_degres,c_exec,p_value,                // Commanded values
kpUs,kfUs,kdUs,                         // US PID gain constants
kpDg,kfDg,kdDg,                         // DG PID gain constants
curr_max,pwr_max,
curLoad_low,curLoad_high,               // valori massimi attuali
minutes,				// counter minutes
half_second,				// counter 1/2 second from pwm degres
m_Npower,m_Ndegres,
t0_Npower,t0_current,t0_Ndegres,
t0_c_exec,t0_d_degres,t0_d_timer,t0_d_power,
pwm_limitmaxUs,
pwm_USValue,pwm_limitmaxDg,             // max value pwm
pwm_limitminUs,pwm_limitminDg,          // min value pwm
pwm_offsetUs,		                // pwm offset (1/2 scale)
updateRamp,updateFreq,                  // conteggio tick ad ogni interupt (2 msec)
ref_power,			        // real value commamded US power
d_exec,d_degres,d_timer,d_power,        // registri per cifre display
PBkey,
initial,  				// delay iniziale
calc_duty,				// calcola duty cycle da c_freq 
updateKey,KeyTick,
n_bytes,n_pages,data0,data1,data2,
c_fjitter,c_tjitter,updateBuzzer,address,
Norm_PwrMax,updatePulse,width_pulse,width_on,width_off,
adc1_gain,acq_degres,ram_degres,
*therm_rom,                             // pointer lookup table thermistor
therm_ram_data,temp_time,pwm_data,
updateView,updateProt,filterProt,ram_duty,entry_table;

 int32 updateTick,read_measure,L_value;


LNG temp,u0,u3,u2,u1,u4,ypid,math_result;

INT2 transfer,FU_value,operand1,operand2,ADCReg,PID_temp,int_u0,int_u1,int_u2,
			int_u3,second_tick,c_uptime ;
LNG temp,u0,u3,u2,u1,u4,ypid,math_result;

INT2 transfer,FU_value,operand1,operand2,ADCReg,PID_temp,int_u0,int_u1,int_u2,
		int_u3,second_tick,c_uptime;


 int16  segment1[NUM_ROW1][NUM_COL1];   // Holds program segment values in data memory.
 int16 segment2[NUM_ROW2][NUM_COL2];




/* [] END OF FILE */
