/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#ifndef PROGRAMMING_H
#define PROGRAMMING_H
#include <project.h>

// KeyPad
extern 	char KeyPad_1_TransTable[];
	
/* GESTIONE DISPLAY */
void DISPLAYWrite( unsigned int , unsigned int ,
                   unsigned int , unsigned int );
                               	                 // gestisce display fixed
void DISPLAYWrite_scan( unsigned int , unsigned int ,
                   unsigned int , unsigned int );
                               	                 // gestisce display scanning
void StringToDisplay(void) ;    	         // routine transizione ROM -> RAM -> LCD
void LcdDisplayChar(unsigned char data);         // Send char -> address lcd
void str2ram( char *dest, const char  *src);
void StartBuzzer(void) ;			 // comando buzzer
void show_adjusted_power(void) ;


/* GESTIONE PROGRAMMAZIONE E SETTAGGIO PROGRAMMI CON KEYBOARD */
/***************** Example of a translation-table *******************************/
extern char TranslateTable[MAXKEYVALUE] ; // = {0x38,0x39,0,0,0x34,0x35,0x2c,0x2d,0x1c,0x1d,10,11,0,0,0,0};
			
/************************* Code Area ********************************************/
void StartStopKey(void);                // gestisce key "start/stop"
void EnterKey(void);                    // gestisce key "enter"
int  ProgKey(int p_value,int max_value,
             int min_value,unsigned char step); 
                                        // gestisce key "Program"
void KEYRead(void);
void NewProgValue(void);                // modify Program by keyboard
void NewDegresValue(void);              // modify Degres by keyboard
void NewTimerValue(void);               // modify Timer by keyboard
void NewPowerValue(void);               // modify US Power by keyboard
void CallKeyUD(void);                   // getione UP & DOWN
void RoutineKey(void) ;			// layer under KeyRead()
void FastKey(void) ;			// gestione pulsanti FAST

/* GESTIONE JITTER & pwm frequency */
void FreqChange(void);                  // gestione jitter
void PreSetPwmFreq(unsigned int);       // gestione frequenza PWM preset
void SetPwmFreq(void);                  // gestione frequenza PWM set
void SetDCPwm(unsigned char) ;          // gestione duty cycle US
void NormFreq(void) ;

void tank_parameter( uint8 tank);
#endif
/* [] END OF FILE */
